### Method

# WebKit2WebExtension DOMElement scroll_into_view_if_needed

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_element_scroll_into_view_if_needed (
      WebKitDOMElement* self,
      gboolean centerIfNeeded
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`centerIfNeeded`

  Type: `gboolean`

  A #gboolean.